Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066749 - [abrt] emacs: terminate_due_to_signal(): emacs-24.3 killed by SIGABRT
Summary: [abrt] emacs: terminate_due_to_signal(): emacs-24.3 killed by SIGABRT
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9df01f0d405e27bef1fed0c2797...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 02:47 UTC by Jim Carpenter
Modified: 2014-05-07 17:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-23 13:07:49 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-19 02:47 UTC, Jim Carpenter
no flags Details
File: cgroup (deleted)
2014-02-19 02:47 UTC, Jim Carpenter
no flags Details
File: core_backtrace (deleted)
2014-02-19 02:47 UTC, Jim Carpenter
no flags Details
File: dso_list (deleted)
2014-02-19 02:48 UTC, Jim Carpenter
no flags Details
File: environ (deleted)
2014-02-19 02:48 UTC, Jim Carpenter
no flags Details
File: limits (deleted)
2014-02-19 02:48 UTC, Jim Carpenter
no flags Details
File: maps (deleted)
2014-02-19 02:48 UTC, Jim Carpenter
no flags Details
File: open_fds (deleted)
2014-02-19 02:48 UTC, Jim Carpenter
no flags Details
File: proc_pid_status (deleted)
2014-02-19 02:48 UTC, Jim Carpenter
no flags Details
File: var_log_messages (deleted)
2014-02-19 02:48 UTC, Jim Carpenter
no flags Details

Description Jim Carpenter 2014-02-19 02:47:44 UTC
Description of problem:
Tried running emacs while tunneling X11 via ssh. It often immediately bombs the first time and then works flawlessly afterwards.

Version-Release number of selected component:
emacs-24.3-13.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 3
cmdline:        emacs iouyap.c iouyap.h iouyap.o iouyap.s netmap.h iou_hdr.c iou_hdr.c~ iou_hdr.h iou_hdr.h~
crash_function: terminate_due_to_signal
executable:     /usr/bin/emacs-24.3
kernel:         3.13.3-201.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (7 frames)
 #2 terminate_due_to_signal at /usr/src/debug/emacs-24.3/src/emacs.c:344
 #3 emacs_abort at /usr/src/debug/emacs-24.3/src/sysdep.c:2152
 #4 x_connection_closed at /usr/src/debug/emacs-24.3/src/xterm.c:7814
 #5 x_error_quitter at /usr/src/debug/emacs-24.3/src/xterm.c:7906
 #6 x_error_handler at /usr/src/debug/emacs-24.3/src/xterm.c:7876
 #7 ??
 #8 ??

Potential duplicate: bug 995186

Comment 1 Jim Carpenter 2014-02-19 02:47:49 UTC
Created attachment 864921 [details]
File: backtrace

Comment 2 Jim Carpenter 2014-02-19 02:47:50 UTC
Created attachment 864922 [details]
File: cgroup

Comment 3 Jim Carpenter 2014-02-19 02:47:52 UTC
Created attachment 864923 [details]
File: core_backtrace

Comment 4 Jim Carpenter 2014-02-19 02:48:02 UTC
Created attachment 864924 [details]
File: dso_list

Comment 5 Jim Carpenter 2014-02-19 02:48:04 UTC
Created attachment 864925 [details]
File: environ

Comment 6 Jim Carpenter 2014-02-19 02:48:06 UTC
Created attachment 864926 [details]
File: limits

Comment 7 Jim Carpenter 2014-02-19 02:48:09 UTC
Created attachment 864927 [details]
File: maps

Comment 8 Jim Carpenter 2014-02-19 02:48:11 UTC
Created attachment 864928 [details]
File: open_fds

Comment 9 Jim Carpenter 2014-02-19 02:48:12 UTC
Created attachment 864929 [details]
File: proc_pid_status

Comment 10 Jim Carpenter 2014-02-19 02:48:14 UTC
Created attachment 864930 [details]
File: var_log_messages

Comment 11 Jan Chaloupka 2014-04-23 13:07:49 UTC
Hi, James,

from backtrace I get this error message: "X protocol error: BadAccess (attempt to access private resource denied) on protocol request 143". It is a question of proper setting of ssh.

Here you can get some hints that could solve it:
https://bbs.archlinux.org/viewtopic.php?id=88334
http://www.redhat.com/archives/rhl-list/2004-November/msg04805.html

Recommended use is 'ssh -Y' with ForwardX11Trusted directive in ssh_config(5) instead of 'ssh -X'.

For more information 'man ssh' and -X,-Y options

Regards
Jan

Comment 12 James Boyle 2014-04-25 14:07:36 UTC
Just to chime in, I had emacs crash on me, but they were local windows (in MATE).


Note You need to log in before you can comment on or make changes to this bug.